Skip to main content
Get External Company
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/companies/{external_id} \
  --header 'Authorization: Bearer <token>'
{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "name": "TechWolf",
  "vat": "BE0702852201",
  "location": {
    "lat": 51.0216707,
    "lng": 3.6887328
  },
  "languages": [
    {
      "language": "nl",
      "level": 2
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

include
enum<string>[]

Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.

Available options:
custom_properties
Example:
["custom_properties"]

Response

OK

Default structure for External Company data.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

name
string
required

Name of the External Company.

Required string length: 1 - 255
Example:

"TechWolf"

vat
string
required

The VAT identification number for this External Company.

Required string length: 1 - 15
Example:

"BE0702852201"

location
Location · object
required

A geographic location, expressed in latitude and longitude. This can represent a home address, an office location... Each entity is limited to having a single location. To get the latitude and longitude for a given address, you can use the Google Maps Geocoding API or a predefined lookup table (for example by zip code). If location is present in matching or filters, it will act as an override for geo-distance calculations.

languages
object[] | null

List of ISO 639-1 codes for language requirements of the External Company, combined with the proficiency level. The proficiency levels go from 1 (elementary proficiency) to 5 (native proficiency). If the level is omitted, the default proficiency level of 2 is used.